Name:			cgdb
Version:		0.6.5
Release:		1%{?dist}
Summary:		CGDB is a curses-based interface to the GNU Debugger (GDB)

Group:			Development/Debuggers
License:		GPLv2
URL:			http://cgdb.sourceforge.net/
Source0:		http://heanet.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Source1:		http://cgdb.sourceforge.net/cgdb.png
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	readline-devel
BuildRequires:	ncurses-devel
Requires:		gdb

Requires(post):		/sbin/install-info
Requires(preun):	/sbin/install-info


%description
CGDB is a curses-based interface to the GNU Debugger (GDB).
The goal of CGDB is to be lightweight and responsive; not encumbered with
unnecessary features.
The interface is designed to deliver the familiar GDB text interface,
with a split screen showing the source as it executes.
The UI is modeled on the classic Unix text editor, vi.
Those familiar with vi should feel right at home using CGDB.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -p"
mv doc/htdocs .
find doc -type f -exec chmod 0664 {} \;
find doc -type d -exec chmod 0775 {} \;
%{__install} -p -m 644 %{SOURCE1} htdocs
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS TODO README ChangeLog htdocs
%{_bindir}/cgdb
%{_datadir}/cgdb
%{_infodir}/cgdb.info.gz
%{_mandir}/man1/cgdb.1.gz


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :


%preun
if [ $1 = 0 ]; then
	/sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi


%changelog
* Mon Jan 11 2010 Gilboa Davara <gilboad [AT] gmail.com> - 0.6.5-1
- Bump to 0.6.5.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.6.4-3
- Autorebuild for GCC 4.3

* Sun Aug 26 2007 <gilboad[AT]gmail.com> - 0.6.4-2
- Fixed license tag.

* Wed May 16 2007 <gilboad[AT]gmail.com> - 0.6.4-1
- 0.6.4
- Fix broken info installation.
- Enable SMP build.
- Preserve the source time-stamp.
- Replace install with %%{__install}.

* Wed Jan 17 2007 <gilboad[AT]gmail.com> - 0.6.3-10
- Fix Source0 URL.
- Replace cp with install.

* Mon Jan 15 2007 <gilboad[AT]gmail.com> - 0.6.3-9
- Do -not- delete cgdb.txt - needed by binary.
- Use the original htdocs instead of htmldocs.
- Preserve timestamps.
- Fix missing URL in imported cgdb.png.

* Mon Jan 15 2007 <gilboad[AT]gmail.com> - 0.6.3-8
- Remove INSTALL
- Move cgdb.txt to %%docs. (Where index.html can see it.)
- Move htdocs to %%docs.
- Fix broken cgdb.png file.

* Sat Jan 13 2007 <gilboad[AT]gmail.com> - 0.6.3-7
- Fix wrong license. (Was LGPL, should be GPL.)

* Sat Jan 13 2007 <gilboad[AT]gmail.com> - 0.6.3-6
- Move HTML docs into %%docs

* Fri Jan 12 2007 <gilboad[AT]gmail.com> - 0.6.3-5
- Keep timestamps on install
- Remove unnecessary comments.
- Add missing HTML docs.

* Tue Jan 08 2007 <gilboad[AT]gmail.com> - 0.6.3-4
- Remove redundant dependencies.
- Add missing ownership.
- Fix texinfo pre/post.
- Fix %%doc in changelog.

* Mon Jan 08 2007 <gilboad[AT]gmail.com> - 0.6.3-3
- Fix %%doc.
- Do not strip debug info; let rpm do it.

* Mon Jan 08 2007 <gilboad[AT]gmail.com> - 0.6.3-2
- Cosmetic clean-up.

* Mon Jan 08 2007 <gilboad[AT]gmail.com> - 0.6.3-1
- Initial release.

